Ajuda para instalar .deb (Mendeley) [RESOLVIDO]

1. Ajuda para instalar .deb (Mendeley) [RESOLVIDO]

Estevan Bartmann Silveira
Estevanbs

(usa Ubuntu)

Enviado em 07/04/2020 - 09:11h

Estou tentando instalar o .deb do mendeley, mas estou tendo problemas.

Ao tentar instalar o pacote obtido no site oficial pelo terminal, tenho essa reposta:
[email protected]:~/Downloads$ sudo dpkg -i mendeleydesktop_1.19.4-stable_amd64.deb
[sudo] senha para estevan:
A seleccionar pacote anteriormente não seleccionado mendeleydesktop.
(Lendo banco de dados ... 246800 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar mendeleydesktop_1.19.4-stable_amd64.deb ...
A descompactar mendeleydesktop (1.19.4) ...
dpkg: problemas com dependências impedem a configuração de mendeleydesktop:
mendeleydesktop depende de python; porém:
Pacote python não está instalado.
mendeleydesktop depende de gconf2; porém:
Pacote gconf2 não está instalado.

dpkg: erro ao processar o pacote mendeleydesktop (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para gnome-menus (3.36.0-1ubuntu1) ...
A processar 'triggers' para desktop-file-utils (0.24-1ubuntu2) ...
A processar 'triggers' para mime-support (3.64ubuntu1) ...
A processar 'triggers' para hicolor-icon-theme (0.17-2) ...
Erros foram encontrados durante o processamento de:
mendeleydesktop

então ele instala, mas não abre.



Tentei instalar pelo GDebi, e o erro é "a dependencia não é contentavel: python"

Preciso de ajuda para instalar esse deb. Desde já agradeço.


  


2. MELHOR RESPOSTA

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 07/04/2020 - 10:04h

Você esta com estes repositorios desabilitado no source.list:
deb http://cz.archive.ubuntu.com/ubuntu bionic main
deb http://cz.archive.ubuntu.com/ubuntu bionic main universe
Habilite eles.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.

3. Re: Ajuda para instalar .deb (Mendeley) [RESOLVIDO]

Carlos A. P. Cunha
Carlos_Cunha

(usa Deepin)

Enviado em 07/04/2020 - 09:38h

Estevanbs escreveu:

Estou tentando instalar o .deb do mendeley, mas estou tendo problemas.

Ao tentar instalar o pacote obtido no site oficial pelo terminal, tenho essa reposta:
[email protected]:~/Downloads$ sudo dpkg -i mendeleydesktop_1.19.4-stable_amd64.deb
[sudo] senha para estevan:
A seleccionar pacote anteriormente não seleccionado mendeleydesktop.
(Lendo banco de dados ... 246800 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar mendeleydesktop_1.19.4-stable_amd64.deb ...
A descompactar mendeleydesktop (1.19.4) ...
dpkg: problemas com dependências impedem a configuração de mendeleydesktop:
mendeleydesktop depende de python; porém:
Pacote python não está instalado.
mendeleydesktop depende de gconf2; porém:
Pacote gconf2 não está instalado.

dpkg: erro ao processar o pacote mendeleydesktop (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para gnome-menus (3.36.0-1ubuntu1) ...
A processar 'triggers' para desktop-file-utils (0.24-1ubuntu2) ...
A processar 'triggers' para mime-support (3.64ubuntu1) ...
A processar 'triggers' para hicolor-icon-theme (0.17-2) ...
Erros foram encontrados durante o processamento de:
mendeleydesktop

então ele instala, mas não abre.



Tentei instalar pelo GDebi, e o erro é "a dependencia não é contentavel: python"

Preciso de ajuda para instalar esse deb. Desde já agradeço.


Opa!

Tente essas duas opções:



sudo apt-get update ; sudo apt-get install -f


Veja se o Software já esta ok agora(na teoria não precisaria instalar novamente), mas caso não esteja instalado, faça o processo de instalação novamente do .deb .



sudo apt-get install python gconf2


Instale o software novamente o .deb, e veja se funcionou correto.

#-------------------------------------------------------------------------------------#
Administrador de Redes Mistas Linux/Windows
LPI 101-102
LPI 201
Para consultas particulares acesse:
www.cunhatec.com.br

"Falar é fácil, me mostre o código." - Linus Torvalds


4. Re: Ajuda para instalar .deb (Mendeley) [RESOLVIDO]

Estevan Bartmann Silveira
Estevanbs

(usa Ubuntu)

Enviado em 07/04/2020 - 09:54h

Carlos_Cunha escreveu:

Estevanbs escreveu:

Estou tentando instalar o .deb do mendeley, mas estou tendo problemas.

Ao tentar instalar o pacote obtido no site oficial pelo terminal, tenho essa reposta:
[email protected]:~/Downloads$ sudo dpkg -i mendeleydesktop_1.19.4-stable_amd64.deb
[sudo] senha para estevan:
A seleccionar pacote anteriormente não seleccionado mendeleydesktop.
(Lendo banco de dados ... 246800 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar mendeleydesktop_1.19.4-stable_amd64.deb ...
A descompactar mendeleydesktop (1.19.4) ...
dpkg: problemas com dependências impedem a configuração de mendeleydesktop:
mendeleydesktop depende de python; porém:
Pacote python não está instalado.
mendeleydesktop depende de gconf2; porém:
Pacote gconf2 não está instalado.

dpkg: erro ao processar o pacote mendeleydesktop (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para gnome-menus (3.36.0-1ubuntu1) ...
A processar 'triggers' para desktop-file-utils (0.24-1ubuntu2) ...
A processar 'triggers' para mime-support (3.64ubuntu1) ...
A processar 'triggers' para hicolor-icon-theme (0.17-2) ...
Erros foram encontrados durante o processamento de:
mendeleydesktop

então ele instala, mas não abre.



Tentei instalar pelo GDebi, e o erro é "a dependencia não é contentavel: python"

Preciso de ajuda para instalar esse deb. Desde já agradeço.


Opa!

Tente essas duas opções:



sudo apt-get update ; sudo apt-get install -f


Veja se o Software já esta ok agora(na teoria não precisaria instalar novamente), mas caso não esteja instalado, faça o processo de instalação novamente do .deb .



sudo apt-get install python gconf2


Instale o software novamente o .deb, e veja se funcionou correto.

#-------------------------------------------------------------------------------------#
Administrador de Redes Mistas Linux/Windows
LPI 101-102
LPI 201
Para consultas particulares acesse:
www.cunhatec.com.br

"Falar é fácil, me mostre o código." - Linus Torvalds


Quando dou o sudo apt-get install -f, ele não pede para instalar as dependências, ele fala para desinstalar o mendeley
sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
mendeleydesktop
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 450 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] n
Abortar.


Já quando tentei o sudo apt-get install python gconf2, o retorno é esse:
sudo apt-get install python gvonf2
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote python não está disponível, mas é referenciado por outro pacote.
Isto pode significar que o pacote está faltando, ficou obsoleto ou
está disponível somente a partir de outra fonte
No entanto, os pacotes a seguir o substituem:
python2-minimal:i386 python2:i386 python2-minimal python2 python-is-python2
2to3 python-is-python3

E: O pacote 'python' não tem candidato para instalação
E: Impossível encontrar o pacote gvonf2

Então tentei instalar o python-is-python3
sudo apt-get install python-is-python3
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
python-is-python3 is already the newest version (3.8.2-3).
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
mendeleydesktop : Depende: python mas não é instalável
Depende: gconf2
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts